kafka-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From mj...@apache.org
Subject [kafka] branch 1.0 updated: MINOR: update upgrade notes for Streams API; message format 0.10 requiered (#4500)
Date Wed, 07 Feb 2018 19:49:38 GMT
This is an automated email from the ASF dual-hosted git repository.

mjsax pushed a commit to branch 1.0
in repository https://gitbox.apache.org/repos/asf/kafka.git


The following commit(s) were added to refs/heads/1.0 by this push:
     new 8cf15fc  MINOR: update upgrade notes for Streams API; message format 0.10 requiered
(#4500)
8cf15fc is described below

commit 8cf15fc636d326e064d3235c95d3d8c8cff15858
Author: Matthias J. Sax <mjsax@apache.org>
AuthorDate: Wed Feb 7 11:43:57 2018 -0800

    MINOR: update upgrade notes for Streams API; message format 0.10 requiered (#4500)
    
    Author: Matthias J. Sax <matthias@confluent.io>
    
    Reviewers: Bill Bejeck <bill@confluent.io>, Guozhang Wang <guozhang@confluent.io.>
---
 docs/streams/developer-guide/datatypes.html     |  2 +-
 docs/streams/developer-guide/write-streams.html | 10 +++++-----
 docs/upgrade.html                               |  3 ++-
 3 files changed, 8 insertions(+), 7 deletions(-)

diff --git a/docs/streams/developer-guide/datatypes.html b/docs/streams/developer-guide/datatypes.html
index 155ee2c..a86ea3e 100644
--- a/docs/streams/developer-guide/datatypes.html
+++ b/docs/streams/developer-guide/datatypes.html
@@ -102,7 +102,7 @@
         <div class="highlight-xml"><div class="highlight"><pre><span></span><span
class="nt">&lt;dependency&gt;</span>
     <span class="nt">&lt;groupId&gt;</span>org.apache.kafka<span class="nt">&lt;/groupId&gt;</span>
     <span class="nt">&lt;artifactId&gt;</span>kafka-clients<span class="nt">&lt;/artifactId&gt;</span>
-    <span class="nt">&lt;version&gt;</span>1.0.0-cp1<span class="nt">&lt;/version&gt;</span>
+    <span class="nt">&lt;version&gt;</span>{{fullDotVersion}}<span
class="nt">&lt;/version&gt;</span>
 <span class="nt">&lt;/dependency&gt;</span>
 </pre></div>
         </div>
diff --git a/docs/streams/developer-guide/write-streams.html b/docs/streams/developer-guide/write-streams.html
index c9ca49c..1e4213d 100644
--- a/docs/streams/developer-guide/write-streams.html
+++ b/docs/streams/developer-guide/write-streams.html
@@ -69,12 +69,12 @@
               <tbody valign="top">
               <tr class="row-even"><td><code class="docutils literal"><span
class="pre">org.apache.kafka</span></code></td>
                   <td><code>kafka-streams</code></td>
-                  <td><code class="docutils literal"><span class="pre">1.0.0</span></code></td>
+                  <td><code class="docutils literal"><span class="pre">{{fullDotVersion}}</span></code></td>
                   <td>(Required) Base library for Kafka Streams.</td>
               </tr>
               <tr class="row-odd"><td><code class="docutils literal"><span
class="pre">org.apache.kafka</span></code></td>
                   <td><code class="docutils literal"><span class="pre">kafka-clients</span></code></td>
-                  <td><code class="docutils literal"><span class="pre">1.0.0</span></code></td>
+                  <td><code class="docutils literal"><span class="pre">{{fullDotVersion}}</span></code></td>
                   <td>(Required) Kafka client library.  Contains built-in serializers/deserializers.</td>
               </tr>
               </tbody>
@@ -87,12 +87,12 @@
           <div class="highlight-xml"><div class="highlight"><pre><span></span><span
class="nt">&lt;dependency&gt;</span>
     <span class="nt">&lt;groupId&gt;</span>org.apache.kafka<span class="nt">&lt;/groupId&gt;</span>
     <span class="nt">&lt;artifactId&gt;</span>kafka-streams<span class="nt">&lt;/artifactId&gt;</span>
-    <span class="nt">&lt;version&gt;</span>1.0.0<span class="nt">&lt;/version&gt;</span>
+    <span class="nt">&lt;version&gt;</span>{{fullDotVersion}}<span
class="nt">&lt;/version&gt;</span>
 <span class="nt">&lt;/dependency&gt;</span>
 <span class="nt">&lt;dependency&gt;</span>
     <span class="nt">&lt;groupId&gt;</span>org.apache.kafka<span class="nt">&lt;/groupId&gt;</span>
     <span class="nt">&lt;artifactId&gt;</span>kafka-clients<span class="nt">&lt;/artifactId&gt;</span>
-    <span class="nt">&lt;version&gt;</span>1.0.0<span class="nt">&lt;/version&gt;</span>
+    <span class="nt">&lt;version&gt;</span>{{fullDotVersion}}<span
class="nt">&lt;/version&gt;</span>
 <span class="nt">&lt;/dependency&gt;</span>
               
 </pre></div>
@@ -245,4 +245,4 @@
         // Display docs subnav items
         $('.b-nav__docs').parent().toggleClass('nav__item__with__subs--expanded');
     });
-</script>
\ No newline at end of file
+</script>
diff --git a/docs/upgrade.html b/docs/upgrade.html
index 86999cd..ad665ad 100644
--- a/docs/upgrade.html
+++ b/docs/upgrade.html
@@ -129,7 +129,8 @@
 <h5><a id="upgrade_100_streams" href="#upgrade_100_streams">Upgrading a 1.0.0
Kafka Streams Application</a></h5>
 <ul>
     <li> Upgrading your Streams application from 0.11.0 to 1.0.0 does not require a
broker upgrade.
-        A Kafka Streams 1.0.0 application can connect to 0.11.0, 0.10.2 and 0.10.1 brokers
(it is not possible to connect to 0.10.0 brokers though). </li>
+        A Kafka Streams 1.0.0 application can connect to 0.11.0, 0.10.2 and 0.10.1 brokers
(it is not possible to connect to 0.10.0 brokers though).
+        However, Kafka Streams 1.0 requires 0.10 message format or newer and does not work
with older message formats. </li>
     <li> If you are monitoring on streams metrics, you will need make some changes
to the metrics names in your reporting and monitoring code, because the metrics sensor hierarchy
was changed. </li>
     <li> There are a few public APIs including <code>ProcessorContext#schedule()</code>,
<code>Processor#punctuate()</code> and <code>KStreamBuilder</code>,
<code>TopologyBuilder</code> are being deprecated by new APIs.
         We recommend making corresponding code changes, which should be very minor since
the new APIs look quite similar, when you upgrade.

-- 
To stop receiving notification emails like this one, please contact
mjsax@apache.org.

Mime
View raw message